add email notifications for stable

This commit is contained in:
Louis Abel 2023-09-22 13:54:30 -07:00
parent 095cf4f70d
commit 4c84445df5
Signed by: label
GPG Key ID: B37E62D143879B36
4 changed files with 75 additions and 0 deletions

27
scripts/produce-8-full.sh Executable file
View File

@ -0,0 +1,27 @@
#!/bin/bash
source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
bash produce-8.sh
ret_val=$?
if [ "$ret_val" -ne 0 ]; then
exit 1
fi
unset ret_val
bash updates-8-devel.sh
ret_val=$?
if [ "$ret_val" -ne 0 ]; then
exit 1
fi
unset ret_val
bash updates-8-extras.sh
ret_val=$?
if [ "$ret_val" -ne 0 ]; then
exit 1
fi
unset ret_val

View File

@ -22,6 +22,16 @@ fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent stable $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi
if [ "$ret_val" -eq 0 ]; then
pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; }
if [ -d "i386" ]; then

View File

@ -17,3 +17,14 @@ else
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent stable $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi

27
scripts/updates-8-full.sh Executable file
View File

@ -0,0 +1,27 @@
#!/bin/bash
source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
bash updates-8.sh
ret_val=$?
if [ "$ret_val" -ne 0 ]; then
exit 1
fi
unset ret_val
bash updates-8-devel.sh
ret_val=$?
if [ "$ret_val" -ne 0 ]; then
exit 1
fi
unset ret_val
bash updates-8-extras.sh
ret_val=$?
if [ "$ret_val" -ne 0 ]; then
exit 1
fi
unset ret_val